Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa.report
Class ClassNode

    java.lang.Object
      net.sourceforge.pmd.dfa.report.AbstractReportNode
          net.sourceforge.pmd.dfa.report.ClassNode

public class ClassNode
extends AbstractReportNode

Constructor Summary
`ClassNode(java.lang.String className)`

Method Summary
`boolean` | `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`java.lang.String` | `getClassName()`

Methods inherited from class net.sourceforge.pmd.dfa.report.AbstractReportNode
`accept, add, addFirst, addNumberOfViolation, childrenAccept, getChildAt, getChildCount, getFirstChild, getNextSibling, getNumberOfViolations, getParent, isLeaf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNode

    public ClassNode(java.lang.String className)

Method Detail

### getClassName

    public java.lang.String getClassName()

### equalsNode

    public boolean equalsNode(AbstractReportNode arg0)

  Description copied from class: `AbstractReportNode`
  Should compare to nodes of the tree.

  Specified by:
    `equalsNode` in class `AbstractReportNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.